Bug 1577664 - [abrt] PackageKit: tcache_thread_shutdown(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: tcache_thread_shutdown(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47f09319427f8b77b3544e23701...
: 1591428 1592129 1593256 1641607 1641892 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 20:20 UTC by Christian Stadelmann
Modified: 2019-05-28 23:53 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:53:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (43.15 KB, text/plain)
2018-05-13 20:20 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (17.59 KB, text/plain)
2018-05-13 20:21 UTC, Christian Stadelmann
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-05-13 20:21 UTC, Christian Stadelmann
no flags Details
File: dso_list (8.36 KB, text/plain)
2018-05-13 20:21 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-13 20:21 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2018-05-13 20:21 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2018-05-13 20:20:52 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=37add4ba9c714ebbb7874e00ba6a98ca;i=14088;b=e9d202394df94d3f99d152b6749ce913;m=1c52cea7;t=56c1bdbbdddc6;x=45f0dc556f9416ef
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp

Comment 1 Christian Stadelmann 2018-05-13 20:20:59 UTC
Created attachment 1435890 [details]
File: backtrace

Comment 2 Christian Stadelmann 2018-05-13 20:21:01 UTC
Created attachment 1435891 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2018-05-13 20:21:02 UTC
Created attachment 1435892 [details]
File: cpuinfo

Comment 4 Christian Stadelmann 2018-05-13 20:21:04 UTC
Created attachment 1435893 [details]
File: dso_list

Comment 5 Christian Stadelmann 2018-05-13 20:21:05 UTC
Created attachment 1435894 [details]
File: limits

Comment 6 Christian Stadelmann 2018-05-13 20:21:07 UTC
Created attachment 1435895 [details]
File: proc_pid_status

Comment 7 me 2018-06-14 17:28:32 UTC
*** Bug 1591428 has been marked as a duplicate of this bug. ***

Comment 8 zethan191 2018-06-17 15:42:13 UTC
*** Bug 1592129 has been marked as a duplicate of this bug. ***

Comment 9 hx 2018-06-20 11:47:44 UTC
*** Bug 1593256 has been marked as a duplicate of this bug. ***

Comment 10 Ketil Thorsen 2018-10-04 14:57:06 UTC
Similar problem has been detected:

It happened when loading dnfdragora

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=5b4c941d65a64ea986d8dcc31137af71;i=2e835;b=a246dd2f683247b0a2aa75d890260a4f;m=1e47c3f8;t=5775f2a00e883;x=e700d84ce28ea32f
kernel:         4.18.10-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 11 ali.sherif10 2018-10-18 08:24:17 UTC
Similar problem has been detected:

I found about the crash, after restarting to use the new kernel.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=49f1af44de4a4083bf7212697760fa4e;i=214c30;b=ff8ae90cd06f47319a1f7778ae734aec;m=5d17eb63;t=578539dd7dcc2;x=5ec76a45dfdcc6a
kernel:         4.18.13-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 12 Vicente Marçal 2018-10-19 20:04:28 UTC
Similar problem has been detected:

Não entendi o que houve, foi na inicialização do sistema

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=7ad846a0846142d8a9bbb825a876aefe;i=442b;b=f93e15e9963745b199739d9e2fbce3fe;m=1bd8ebe4;t=57899f42533de;x=cf6c4ebbe1f00fb7
kernel:         4.18.14-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 13 Stefan Gaens 2018-10-22 10:38:54 UTC
*** Bug 1641607 has been marked as a duplicate of this bug. ***

Comment 14 Ugis 2018-10-23 06:33:22 UTC
*** Bug 1641892 has been marked as a duplicate of this bug. ***

Comment 15 Michal Ambroz 2018-10-27 23:06:08 UTC
Similar problem has been detected:

donno

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=c0e5b3ff53e64274b17f48b2c72b0aa8;i=3a2f;b=38528f0bb2a04f33b8f0cb055b64deb8;m=1c835754ad;t=5793d73e329bb;x=5d282a91d75ce716
kernel:         4.18.14-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 16 Spyros 2018-10-29 19:37:09 UTC
Similar problem has been detected:

just updating my system

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: tcache_thread_shutdown
executable:     /usr/libexec/packagekitd
journald_cursor: s=c41fbfedf56e4850a581293982b452e7;i=1f62;b=e4fabfe88efe4aee9490983fa16095e3;m=dded204a;t=57946db8ea33c;x=e661984d7ff68170
kernel:         4.18.16-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 17 Ben Cotton 2019-05-02 19:43:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2019-05-28 23:53:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.